## libre-mahjong 1.8.03-3

=== debian/changelog ===
libre-mahjong (1.8.03-3) unstable; urgency=low

  * Do not depend closed data

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Apr 2013 20:32:01 +0200

osso-mahjong (1.8.03-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Thu, 21 Jan 2010 16:16:01 +0200

osso-mahjong (1.8.03-2) unstable; urgency=low

  * Fixes: NB#127935 wrong posix date in mahjong best times dialog

 -- Maske Amish <amish.maske@nokia.com>  Tue, 19 Jan 2010 15:55:00 +0530

osso-mahjong (1.8.03-1) unstable; urgency=low

  * Fixes: NB#149594 Mahjong: Łamigłówka (Confounding cross) does not
    display high score time in Polish

 -- Maske Amish <amish.maske@nokia.com>  Tue, 12 Jan 2010 17:30:00 +0530

osso-mahjong (1.7.49-1) unstable; urgency=low

  * Fixes: NB#120015 Games use profiles to sound settin.

 -- Maske Amish <amish.maske@nokia.com>  Tue, 01 Dec 2009 12:30:00 +0530

osso-mahjong (1.6.34-3) unstable; urgency=low

  * Fixes: NB#127284 <coverity> defects from oss-mahjong

 -- Maske Amish <amish.maske@nokia.com>  Sat, 22 Aug 2009 15:00:00 +0530

osso-mahjong (1.6.34-2) unstable; urgency=low

  * Fixes: removing the re-opened bug 121390

 -- Maske Amish <amish.maske@nokia.com>  Fri, 21 Aug 2009 15:00:00 +0530

osso-mahjong (1.6.34-1) unstable; urgency=low

  * Fixes: NB#133806 change games startup screen layout

 -- Maske Amish <amish.maske@nokia.com>  Wed, 19 Aug 2009 15:00:00 +0530

osso-mahjong (1.6.24-1) unstable; urgency=low

  * Fixes: NB# chessui[1727]: GLIB CRITICAL ** On starting chess
    application

 -- Maske Amish <amish.maske@nokia.com>  Tue, 09 Jun 2009 15:00:00 +0530

osso-mahjong (1.6.18-1) unstable; urgency=low

  * Fixes: NB#Chess application crashes immediately after the Promote Pawn
    dialog is displayed

 -- Maske Amish <amish.maske@nokia.com>  Tue, 28 Apr 2009 15:00:00 +0530

osso-mahjong (1.6.15-1) unstable; urgency=low

  * Added code for new callback from games startup

 -- Maske Amish <amish.maske@nokia.com>  Mon, 06 Apr 2009 15:00:00 +0530

osso-mahjong (1.6.14-1) unstable; urgency=low

  * Fixes: NB#105337 best time dialog opens more than 1 times if user multitap
    on best times button

 -- Maske Amish <amish.maske@nokia.com>  Sat, 28 Mar 2009 18:00:00 +0530

osso-mahjong (1.6.12-2) unstable; urgency=low

  * Fixes: NB#95670 PLayed games  are not going to pause state ,when sms /
    message is received

 -- Maske Amish <amish.maske@nokia.com>  Wed, 18 Mar 2009 13:00:00 +0530

osso-mahjong (1.6.12-1) unstable; urgency=low

  * Fixes: NB#104224 Chess and Mahjong games are not pausing after selecting
    flicker hard key

 -- Maske Amish <amish.maske@nokia.com>  Sat, 14 Mar 2009 18:00:00 +0530

osso-mahjong (1.6.11-3) unstable; urgency=low

  * Fixes: NB#105137 osso-mahjong, should not depending on libhildonhelp0
  * Removed hildon-help from configure file

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 11 Mar 2009 14:00:00 +0530

osso-mahjong (1.6.11-2) unstable; urgency=low

  * Fixes: NB#105137 osso-mahjong, should not depending on libhildonhelp0

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 11 Mar 2009 12:00:00 +0530

osso-mahjong (1.6.11-1) unstable; urgency=low

  * Fixes: NB#94667 Undesired pieces are displayed in the lotus flower game
  * Fixes: NB#100404 There is a delay in rendering the Play view of Mahjong
    game.
  * Fixes: NB#100799 Help option is available in Mahjong,Marbles,Chess and
    Blocks games

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Tue, 03 Mar 2009 15:00:00 +0530

osso-mahjong (1.6.10-1) unstable; urgency=low

  * Fixes: NB#96276 After sleep mode Mahjongg and Chess games are not coming
    to start up screen
  * Fixes: NB#98882 Mahjong crashes while doing REDO and UNDO just before the
    END of the game.

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 24 Feb 2009 15:00:00 +0530

osso-mahjong (1.6.08-4) unstable; urgency=low

  * Fixes: NB#98778 Chess , mahjong, marbles  dilaogs having "OK" button
  * Fixes: NB#101066 strange Exec in mahjong_startup.desktop file
  * Fixes: NB#98857 All games .desktop files need to be updated
  * Fixes: NB#97963 Remove the Close-button from Best times -dialog
  * changed code to use new Hildon APIs

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Thu, 19 Feb 2009 10:00:00 +0530

osso-mahjong (1.6.08-3) unstable; urgency=low

  * Fixes: NB#101066 strange Exec in mahjong_startup.desktop file

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 13 Feb 2009 11:00:00 +0530

osso-mahjong (1.6.08-2) unstable; urgency=low

  * Fixes: NB#98857 All games .desktop files need to be updated

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Fri, 13 Feb 2009 09:00:00 +0530

osso-mahjong (1.6.08-1) unstable; urgency=low

  * Fixes: NB#97963 Remove the Close-button from Best times -dialog
  * changed code to use new Hildon APIs

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Thu, 12 Feb 2009 10:00:00 +0530

osso-mahjong (1.6.06-1) unstable; urgency=low

  * changed sound.c to incorporate review comments

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Thu, 22 Jan 2009 18:00:00 +0530

osso-mahjong (1.6.04-2) unstable; urgency=low

  * changed rules file to include maemo-invoker with application

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Mon, 19 Jan 2009 18:00:00 +0530

osso-mahjong (1.6.04-1) unstable; urgency=low

  * Fixes: NB#94706 board option is overlapped with sound effect in mahjong
    startup screen
  * Fixes: NB#87482 Please remove esd from osso-mahjong

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Tue, 13 Jan 2009 17:10:00 +0530

osso-mahjong (1.5.51-4) unstable; urgency=low

  * Improved the overlay button handling
  * Fixes: NB#95719 multiple tap press is required for pause the played game

 -- Sandeep Sundaram <sandeep.sundaram@nokia.com>  Wed, 17 Dec 2008 17:50:00 +0530

osso-mahjong (1.5.51-3) unstable; urgency=low


