## libre-mahjong 1.8.03-4

=== debian/changelog ===
libre-mahjong (1.8.03-4) unstable; urgency=low

  * Replace and Conflicts: osso-mahjong

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 22 Apr 2013 21:09:01 +0200
