=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Depends: osso-games-l10n-mr | osso-games-l10n-mr0, ${shlibs:Depends}, ${misc:Depends}, osso-games-startup (>=1.0.21),  libre-mahjong-graphics, libre-mahjong-sounds, ke-recv-l10n-mr | ke-recv-l10n-mr0,  hildon-libs-l10n-mr | hildon-libs-l10n-mr0, ${launcher:Depends}
 Replaces: osso-mahjong
+Conflicts: osso-mahjong
 Description: Libre OSSO Mahjong
  OSSO Mahjong game. Requires OSSO games Start-up, which is provided separately.
